Subject: bug#74042: [PATCH] Accept texi2any for version identification

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Oct 2024 12:11:39 +0200

> Resent-To: [email-masked]
> From: Stefan Kangas <[email-masked]>
> Date: Sun, 27 Oct 2024 02:47:44 -0700
> 
> Mats Lidell <[email-masked]> writes:
> 
> > Although according to docs texi2any is identical to makeinfo it outputs its
> > name in the first line which the version check in
> > `Info-file-supports-index-cookies' does not account for. The submitted patch
> > allows both makeinfo and texi2any to be in the version string.
> 
> Thanks for the patch.  Pushed to master as commit 4af5b794015.
> 
> I'm therefore closing this bug report.

I'd like to discuss the need for this, as mentioned in my previous
message.  I don't see why we need to support direct invocations of
texi2any.  I hope Mats will respond to my questions.